# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88.0"
name = "puniyu_plugin_core"
version = "0.8.10"
authors = ["wuliya <3369906077@qq.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "puniyu 插件核心库, 统一插件定义、API 聚合与注册表管理流程"
homepage = "https://github.com/puniyu/core"
readme = "README.md"
license = "LGPL-3.0-only"
repository = "https://github.com/puniyu/core"
resolver = "2"

[features]
default = []
registry = ["puniyu_error/registry"]

[lib]
name = "puniyu_plugin_core"
path = "src/lib.rs"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.const-str]
version = "1.1.0"

[dependencies.log]
version = "0.4.28"

[dependencies.puniyu_command]
version = "0.8.9"

[dependencies.puniyu_common]
version = "0.8.9"
default-features = false

[dependencies.puniyu_config]
version = "0.8.9"

[dependencies.puniyu_error]
version = "0.8.8"
default-features = false

[dependencies.puniyu_semver]
version = "0.8.9"

[dependencies.puniyu_server]
version = "0.8.9"
default-features = false

[dependencies.puniyu_task]
version = "0.8.8"

[dependencies.puniyu_version]
version = "0.8.10"

[lints.clippy]
unwrap_used = "deny"
